Page MenuHomePhabricator

Filters: Display the time and date of the last refresh
Closed, ResolvedPublic

Description

Some people prefer to have the time and date of the last refresh displayed on the interface, so that they can know since when they have to refresh.

To quote one of the feedback: "I would like to decide when it will get refreshed myself and so don't tell me if there're changes or not".

Previous timestampNew refresh action
Notice the "Show new changes starting from 13:22, 31 August 2018" linkNotice the "View newest changes" action.

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 25 2018, 5:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I do support the wish for a timestamp.

While in a Wikipedia session, I visit the browser tab with watchlist at major breakpoints, when one task has been completed, perhaps all half hours.

However, when off wiki and returning six or ten or twenty hours later, I have no idea when I refreshed watchlist the last time, and I need the classic timestamp which helps me to recollect on open issues and get some orientation again.

As already said in the discussion where that ticket comes from:

On the new interface, you have the "View newest changes" link if the watchlist needs to be reloaded because there is something new to display.
That link only appears if there is a change on you Watchlist. If you don't see that link, it means that nothing has changed since the last time.

The question is: why that link is not sufficient to some users.

The link is fine, but the classic design told me that my attention has been attracted five minutes ago already.

I have nearly 5000 pages on my watchlist, and village pumps are permanently chatting. I want to focus on tasks to be solved. I am not hunting for every message in real time and I am not afraid that I am out of date when I missed to check the very last move on watchlist for more than 150 seconds.

If I am not involved in an important debate I would check watchlist on demand every 30 or 60 minutes, and then skip noise arriving all three minutes which are neglectable on quick glance.

Therefore I am very happy to find date and clock time on both classic RC and watchlist. I will ask for an update on a break between two exercises, and will process a dozen of mostly minor informative news on watchlist. I do hope that they are not important, since then often anger and work are caused.

I do not need the information that something has changed. It changes twenty times per hour, round the clock. But I want to ignore the watchlist until I decide to take notice of the issues.

If I recall correctly I have been one of the fellows who demanded and originated to split Notification (echo) messages at least into personal alerts in red but in blue thanks and contributing someone to a watched talk area. I check the red ones immediately, and the blue field when I am tired or at the end of the day, or when starting the wiki session.

MMiller_WMF renamed this task from Display the time and date of the last refresh to Filters: Display the time and date of the last refresh.Aug 7 2018, 5:53 PM
MMiller_WMF added a subscriber: MMiller_WMF.

Thanks, @Trizek-WMF -- we will make a triage decision on this once you send over the background and info on all filters issues.

JTannerWMF added a subscriber: JTannerWMF.

Since this is useful functionality that is no longer in the new interface, we’ll work with our designer in Q1 to bring it back.

JTannerWMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
Pginer-WMF updated the task description. (Show Details)Aug 31 2018, 1:28 PM

For context I made a comparison of the previous and current version of the link to refresh (also added it to the description):

Previous timestampNew refresh action
Notice the "Show new changes starting from 13:22, 31 August 2018" linkNotice the "View newest changes" action.

In the original UI the refresh action was in the middle of other filters (hard to discover) and the timestamp made it unclear which was the functionality for it.

We have not optimized the UI for people leaving it with no refresh for a long while so far. I think that it makes sense to explore ways in which we can better support such cases without adding additional complexity to those users that they just want to get new content as soon as it is available.

One idea is to extend the "View newest changes" action with an indication of time when it starts to be relevant. This idea is illustrated below:

InitiallyWhen there are changes10 minutes later
No refresh action is shown until there are changesThe refresh action does not include a timestampA timestamp is added 10 minutes after the refresh action was shown if the user has not refreshed the page

How to better communicate the time is something that is not complete clear based on the comments above. In the example I used a simplified timestamp. that is, if we refer to the same day, the information about the day, month and year can be skipped.
If the goal for the timestamp is to get a relative idea of how much time has passed, a relative indication of the time can be used instead, as illustrated below:

Please consider non-JavaScript users.

Time (hh:mm) is sufficient if the period is below 24 hours.

Please note that similar considerations are relevant for some other special pages, even if not equipped with such information today.

  • All pages of the recent events family in the special pages should show the last update timestamp.
  • Special:New pages is another candidate.
  • I keep one browser tab open and monitor new templates every two or three or one days, when I happen to look into this tab. Okay, I can guess the last update from the newest entry, since there are about 30 per day, but this is not valid for all wikis and namespaces.

Special:Recentchangeslinked displays time of generation already; that should go for all such pages which monitor continuous changes in project.

Please consider non-JavaScript users.

They get the old interface.

JTannerWMF removed Pginer-WMF as the assignee of this task.Sep 21 2018, 5:17 PM
JTannerWMF added a subscriber: Pginer-WMF.
MMiller_WMF moved this task from Inbox to Needs Discussion/Analysis on the Growth-Team board.

We already triaged and decided we want to do it this quarter. Putting this in "To Triage" because we need to scope it.

JTannerWMF moved this task from FY 2019-20 to Q2 2019-20 on the Growth-Team board.Jan 3 2019, 3:54 PM

Change 503023 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RCFilters: display timestamp of new changes in refresh link

https://gerrit.wikimedia.org/r/503023

How will it be displayed?

The way it is designed in the current patch, it looks like this:

It shows the date at which new changes are available. The timestamp is in the link as soon as the ink is shown and not 10 minutes later like it was proposed above.

Change 503023 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: display timestamp of new changes in refresh link

https://gerrit.wikimedia.org/r/503023

Johan added a subscriber: Johan.Apr 24 2019, 11:03 AM

Will this be in production next week?

Will this be in production next week?

Yes

@SBisson there is a slightly different format for the timestamp for logged users and non-logged users - is it intentional?

Logged in user

Non logged in user

@SBisson there is a slightly different format for the timestamp for logged users and non-logged users - is it intentional?

It can be different because when you're logged in it respects the user's preferences for both the date format and timezone.

Etonkovidova closed this task as Resolved.Apr 25 2019, 7:41 PM

@SBisson there is a slightly different format for the timestamp for logged users and non-logged users - is it intentional?

It can be different because when you're logged in it respects the user's preferences for both the date format and timezone.

Thx, I did some additional testing - the user time format/time zone preferences are correctly displayed.